package com.red.circle.game.fruit.infrastructure.database.memory.service;

/**
 * 游戏转盘服务
 *
 * @author lisizhe on 2023/7/28
 */
public interface GameFruitMemoryService {

  /**
   * 本轮奖品下注
   */
  void incrPrizeBet(Long prizeId, Integer amount);

  int getBetCache(Long prizeId);

  void removePrizeBet();

  /**
   * 获取本轮秒数
   */
  int getRoundSec();

  void putRoundSec(Integer sec);

  void decrRoundSec();

  void incrRoundSec();
}
